@if (adminProjectViewComponentData) {
  <div class="project-info-lists-grid">
    <sqtm-core-label
      [text]="'sqtm-core.entity.info-list.category.label' | translate"
    >
    </sqtm-core-label>
    <sqtm-core-editable-select-field
      #categorySelectField
      [attr.data-test-field-id]="'info-list-category-select-field'"
      [options]="
        getAllInfoLists(
          adminProjectViewComponentData.project.infoLists,
          'category'
        )
      "
      [value]="
        adminProjectViewComponentData.project.requirementCategoryId.toString()
      "
      (mousedown)="checkIfProjectIsLinkedToTemplate($event)"
      (confirmEvent)="openConfirmBindingAlert($event, 'category')"
      layout="no-buttons"
    >
    </sqtm-core-editable-select-field>
    <sqtm-core-label
      [text]="'sqtm-core.entity.info-list.nature.label' | translate"
    >
    </sqtm-core-label>
    <sqtm-core-editable-select-field
      #natureSelectField
      [attr.data-test-field-id]="'info-list-nature-select-field'"
      [options]="
        getAllInfoLists(
          adminProjectViewComponentData.project.infoLists,
          'nature'
        )
      "
      [value]="
        adminProjectViewComponentData.project.testCaseNatureId.toString()
      "
      (mousedown)="checkIfProjectIsLinkedToTemplate($event)"
      (confirmEvent)="openConfirmBindingAlert($event, 'nature')"
      layout="no-buttons"
    >
    </sqtm-core-editable-select-field>
    <sqtm-core-label
      [text]="'sqtm-core.entity.info-list.type.label' | translate"
    >
    </sqtm-core-label>
    <sqtm-core-editable-select-field
      #typeSelectField
      [attr.data-test-field-id]="'info-list-type-select-field'"
      [options]="
        getAllInfoLists(adminProjectViewComponentData.project.infoLists, 'type')
      "
      [value]="adminProjectViewComponentData.project.testCaseTypeId.toString()"
      (mousedown)="checkIfProjectIsLinkedToTemplate($event)"
      (confirmEvent)="openConfirmBindingAlert($event, 'type')"
      layout="no-buttons"
    >
    </sqtm-core-editable-select-field>
  </div>
}
